## org.junit.runners
Class AllTests

    java.lang.Object
      org.junit.runner.Runner
          org.junit.internal.runners.JUnit38ClassRunner
              org.junit.internal.runners.SuiteMethod
                  org.junit.runners.AllTests

All Implemented Interfaces:
  Describable, Filterable, Orderable, Sortable

    public class AllTests

extends org.junit.internal.runners.SuiteMethod

Runner for use with JUnit 3.8.x-style AllTests classes (those that only implement a static `suite()` method). For example:

     @RunWith(AllTests.class)
     public class ProductTests {
        public static junit.framework.Test suite() {
           ...
        }
     }

Since:
  4.0

Constructor Summary
`AllTests(Class<?> klass)` Only called reflectively.

Method Summary

Methods inherited from class org.junit.internal.runners.SuiteMethod
`testFromSuiteMethod`

Methods inherited from class org.junit.internal.runners.JUnit38ClassRunner
`createAdaptingListener, filter, getDescription, order, run, sort`

Methods inherited from class org.junit.runner.Runner
`testCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllTests

    public AllTests(Class<?> klass)
             throws Throwable

  Only called reflectively. Do not use programmatically.

  Throws:
    `Throwable`

Copyright © 2002–2020 JUnit. All rights reserved.